to.hpp File Reference

Defines `boost::hana::to` and related utilities. More...

## Classes

struct | boost::hana::is_convertible< From, To, typename >
| Returns whether there is a Hana-conversion from a data type to another. More...
struct | boost::hana::is_embedded< From, To, typename >
| Returns whether a data type can be embedded into another data type. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Detailed Description

Defines `boost::hana::to` and related utilities.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)